Package org.optaplanner.core.impl.score.stream.bi

## Class FilteringBiJoiner<A,​B>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractJoiner
  - - org.optaplanner.core.impl.score.stream.bi.AbstractBiJoiner<A,​B>
    - - org.optaplanner.core.impl.score.stream.bi.FilteringBiJoiner<A,​B>

- All Implemented Interfaces:
    `BiJoiner<A,​B>`

      public final class FilteringBiJoiner<A,​B>
      extends AbstractBiJoiner<A,​B>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FilteringBiJoiner​(BiPredicate<A,​B> filter)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JoinerType[]` | `getJoinerTypes()` |
    `Function<A,​Object[]>` | `getLeftCombinedMapping()` |
    `Function<A,​Object>` | `getLeftMapping​(int index)` |
    `Function<B,​Object[]>` | `getRightCombinedMapping()` |
    `Function<B,​Object>` | `getRightMapping​(int index)` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bi.AbstractBiJoiner

      `getFilter, matches, merge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilteringBiJoiner

          public FilteringBiJoiner​(BiPredicate<A,​B> filter)

  - ### Method Detail

    - #### getLeftMapping

          public Function<A,​Object> getLeftMapping​(int index)

      Specified by:
        `getLeftMapping` in class `AbstractBiJoiner<A,​B>`

    - #### getLeftCombinedMapping

          public Function<A,​Object[]> getLeftCombinedMapping()

      Specified by:
        `getLeftCombinedMapping` in class `AbstractBiJoiner<A,​B>`

    - #### getRightMapping

          public Function<B,​Object> getRightMapping​(int index)

      Specified by:
        `getRightMapping` in class `AbstractBiJoiner<A,​B>`

    - #### getRightCombinedMapping

          public Function<B,​Object[]> getRightCombinedMapping()

      Specified by:
        `getRightCombinedMapping` in class `AbstractBiJoiner<A,​B>`

    - #### getJoinerTypes

          public JoinerType[] getJoinerTypes()

      Specified by:
        `getJoinerTypes` in class `AbstractJoiner`